io.etcd.jetcd.op

## Enum Op.Type

- java.lang.Object
- - java.lang.Enum<Op.Type>
  - - io.etcd.jetcd.op.Op.Type

All Implemented Interfaces:
  Serializable, Comparable<Op.Type>

Enclosing class:
  Op

    public static enum Op.Type
    extends Enum<Op.Type>

Operation type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE_RANGE`
`PUT`
`RANGE`
`TXN`

### Method Summary

All Methods Static Methods Concrete Methods
`static Op.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Op.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUT

    public static final Op.Type PUT

#### RANGE

    public static final Op.Type RANGE

#### DELETE_RANGE

    public static final Op.Type DELETE_RANGE

#### TXN

    public static final Op.Type TXN

### Method Detail

#### values

    public static Op.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Op.Type c : Op.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Op.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null